/*
 * Castaway
 *  (C) 1994 - 2002 Martin Doering, Joachim Hoenig
 *
 * $File$ - command line parser & system init
 *
 * This file is distributed under the GPL, version 2 or at your
 * option any later version.  See doc/license.txt for details.
 *
 * revision history
 *  23.05.2002  JH  FAST1.0.1 code import: KR -> ANSI, restructuring
 *  09.06.2002  JH  Renamed io.c to st.c again (io.h conflicts with system headers)
 *  19.06.2002  JH  -d option discontinued.
 *  19.09.2002  JH  -h option discontinued.
 *  22.09.2002  JH  -i option: instructions per second
 */
static char     sccsid[] = "$Id: init.c,v 1.6 2002/09/22 22:08:37 jhoenig Exp $";
#include "../cpu/config.h"
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "st.h"
#include "../cpu/68000.h"



int            Init(void)
{
    display_mode = COL4;
    
    strcpy (disk[0].name, "disk1.st");
    strcpy (disk[1].name, "disk1.st");
    //strcpy (cartridge, "cart.rom");
    //memsize = 1024 * atol (argv[i]);
    //strcpy (rom, "tos.rom");
    //ips = atol ("12");
   
    MemInit();
    FDCInit();
    IOInit();
    HWReset(); /* CPU reset */

    return 0;
}
